# Video recordings requests

> API requests for retrieving download URLs for and deleting execution video recordings of jobs and queue items.

When [video recording](https://docs.uipath.com/orchestrator/automation-cloud/latest/user-guide/about-recording) is enabled, unattended executions can produce video recordings that are stored in system storage buckets. These requests let you retrieve time-limited download URLs for a job's or queue item's recordings and delete them.

:::important
These endpoints require [video recording to be enabled](https://docs.uipath.com/orchestrator/automation-cloud/latest/user-guide/about-recording) for the tenant and storage buckets to be configured. If video recording is not enabled, the requests return an error.
:::

The download URLs returned by the `read` requests are time-limited SAS (shared access signature) URLs that point directly to each recording file. You do not need to know the file names, the response contains one ready-to-use URL per recording. Download the recording by issuing a GET request to each returned `Uri`.

## Required permissions

| Request | Permissions |
| --- | --- |
| Get job recording download URLs | `Jobs.View` **and** `ExecutionMedia.View` |
| Delete job recordings | `Jobs.Delete` **and** `ExecutionMedia.Delete` |
| Get queue item recording download URLs | `Jobs.View`, `Queues.View`, **and** `ExecutionMedia.View` |
| Delete queue item recordings | `Queues.Delete` **and** `ExecutionMedia.Delete` |

## Getting the download URLs for a job's recordings

This GET request returns the download URLs for all the recordings associated with a job. The job is identified by its `{jobKey}`, which is the GUID `Key` field of the job (not the numeric `Id`). You can retrieve a job's `Key` from the [Jobs requests](https://docs.uipath.com/orchestrator/automation-cloud/latest/api-guide/jobs-requests), for example, `GET /odata/Jobs?$filter=Id eq 125161` returns the `Key`.

### API endpoint

GET

`{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/jobs/{jobKey}/read`

### Request headers

| Key | Value |
| --- | --- |
| Authorization | Bearer {access_token} |
| X-UIPATH-OrganizationUnitId | {folder_Id} |

### Response code

200 OK

### Response body

```
[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]
```

:::note
A job can have at most 10 recording files. Each `Uri` is valid for a limited time; request the URLs again if they expire. For recordings served through Orchestrator's built-in SAS mechanism, the file extension is appended to the URL as a `&type=` query parameter so you can determine the file type.
:::

## Deleting a job's recordings

This DELETE request removes all the recording files associated with a job, identified by its GUID `{jobKey}`.

### API endpoint

DELETE

`{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/jobs/{jobKey}`

### Request headers

| Key | Value |
| --- | --- |
| Authorization | Bearer {access_token} |
| X-UIPATH-OrganizationUnitId | {folder_Id} |

### Response code

204 No Content

## Getting the download URLs for a queue item's recordings

This GET request returns the download URLs for all the recordings associated with a queue item, identified by its numeric `{queueItemId}`.

### API endpoint

GET

`{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/QueueItems/{queueItemId}/Read`

### Request headers

| Key | Value |
| --- | --- |
| Authorization | Bearer {access_token} |
| X-UIPATH-OrganizationUnitId | {folder_Id} |

### Response code

200 OK

### Response body

```
[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]
```

## Deleting a queue item's recordings

This DELETE request removes all the recording files associated with a queue item, identified by its numeric `{queueItemId}`.

### API endpoint

DELETE

`{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/QueueItems/{queueItemId}`

### Request headers

| Key | Value |
| --- | --- |
| Authorization | Bearer {access_token} |
| X-UIPATH-OrganizationUnitId | {folder_Id} |

### Response code

204 No Content
